Commit c992f139 authored by Tim Graham's avatar Tim Graham
Browse files

Add support for Django 2.0 and 2.1

parent 4c0a0a2f
......@@ -6,6 +6,9 @@ env:
- TOXENV=py27-django111
- TOXENV=py34-django111
- TOXENV=py35-django111
- TOXENV=py34-django20
- TOXENV=py35-django20
- TOXENV=py35-django21
- TOXENV=docs
- TOXENV=lint
install:
......
......@@ -30,7 +30,7 @@ Changelog
* 2.0 (YYYY-MM-DD):
* Drop support for Django < 1.11.
* Drop support for Django < 1.11 and add support for Django 2.0 and 2.1.
* 1.0 (2017-05-30):
......
......@@ -2,9 +2,9 @@ from unittest import SkipTest
from django.contrib.auth import get_user_model
from django.core import mail
from django.core.urlresolvers import reverse
from django.test import TestCase
from django.test.utils import override_settings
from django.urls import reverse
from django.utils import timezone
from django.utils.six import with_metaclass
......
......@@ -5,10 +5,10 @@ from django.contrib.auth import get_user_model
from django.contrib.sites.shortcuts import get_current_site
from django.core import signing
from django.core.mail import send_mail
from django.core.urlresolvers import reverse, reverse_lazy
from django.http import Http404
from django.shortcuts import get_object_or_404, redirect
from django.template import loader
from django.urls import reverse, reverse_lazy
from django.utils import timezone
from django.utils.decorators import method_decorator
from django.views import generic
......
......@@ -26,6 +26,8 @@ setup(
'Environment :: Web Environment',
'Framework :: Django',
'Framework :: Django :: 1.11',
'Framework :: Django :: 2.0',
'Framework :: Django :: 2.1',
'Intended Audience :: Developers',
'License :: OSI Approved :: BSD License',
'Natural Language :: English',
......
[tox]
envlist =
py27-django111,
py34-django{111},
py35-django{111},
py34-django{111,20},
py35-django{111,20,21},
docs, lint
[testenv]
......@@ -13,6 +13,8 @@ basepython =
py35: python3.5
deps =
django111: Django>=1.11,<2.0
django20: Django>=2.0,<2.1
django21: Django>=2.1,<2.2
[testenv:docs]
basepython = python3.5
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment